Object subclass: #Pelicula
	instanceVariableNames: 'nombre nombreDirector puntajes'
	classVariableNames: ''
	poolDictionaries: ''
	category: '94727'!

!Pelicula methodsFor: 'as yet unclassified' stamp: 'ArianJarmolinski 3/28/2018 17:14'!
minPuntaje
	|minPuntaje|
	minPuntaje:=10.
	puntajes do: [ :puntaje | (puntaje < minPuntaje ) 
		ifTrue: [ minPuntaje :=puntaje ] ].
	
	^minPuntaje .! !

!Pelicula methodsFor: 'as yet unclassified' stamp: 'ArianJarmolinski 3/28/2018 14:32'!
director: unNombreDirector 
	
	nombreDirector := unNombreDirector .! !

!Pelicula methodsFor: 'as yet unclassified' stamp: 'ArianJarmolinski 3/28/2018 17:08'!
maxPuntaje
	|maxPuntaje|
	maxPuntaje :=0.
	puntajes do: [ :puntaje | (puntaje > maxPuntaje ) 
		ifTrue: [ maxPuntaje :=puntaje ] ].
	
	^maxPuntaje .! !

!Pelicula methodsFor: 'as yet unclassified' stamp: 'ArianJarmolinski 3/28/2018 14:32'!
nombre: unNombre 
	
	nombre := unNombre.! !

!Pelicula methodsFor: 'as yet unclassified' stamp: 'ArianJarmolinski 3/28/2018 16:52'!
agregarPuntaje:unPuntaje 

	puntajes add: unPuntaje .! !


!Pelicula methodsFor: 'accessing' stamp: 'ArianJarmolinski 3/28/2018 17:00'!
nombre

	^nombre.! !

!Pelicula methodsFor: 'accessing' stamp: 'ArianJarmolinski 3/28/2018 17:00'!
director

	^nombreDirector .! !

!Pelicula methodsFor: 'accessing' stamp: 'ArianJarmolinski 3/28/2018 16:58'!
puntajes

	 ^puntajes.! !


!Pelicula methodsFor: 'initialization' stamp: 'ArianJarmolinski 3/28/2018 16:48'!
initialize

	puntajes := OrderedCollection new.! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

Pelicula class
	instanceVariableNames: ''!

!Pelicula class methodsFor: 'as yet unclassified' stamp: 'ArianJarmolinski 3/28/2018 14:31'!
conNombre: unNombrePelicula yDirector: unNombreDirector 

	|pelicula|
	pelicula := Pelicula new.
	pelicula nombre: unNombrePelicula .
	pelicula director: unNombreDirector .
	^pelicula.! !


Object subclass: #Peliculas
	instanceVariableNames: 'peliculas'
	classVariableNames: ''
	poolDictionaries: ''
	category: '94727'!

!Peliculas methodsFor: 'initialization' stamp: 'ArianJarmolinski 3/28/2018 14:28'!
initialize

	peliculas := OrderedCollection new.! !


!Peliculas methodsFor: 'as yet unclassified' stamp: 'ArianJarmolinski 3/28/2018 17:19'!
calificarPelicula: unNombrePelicula conPuntaje: unPuntaje.
	
	peliculas do: [ :pelicula |
		
		(pelicula nombre = unNombrePelicula ) ifTrue: [ pelicula agregarPuntaje:unPuntaje ]
		 ].! !

!Peliculas methodsFor: 'as yet unclassified' stamp: 'ArianJarmolinski 3/28/2018 14:30'!
agregarConNombre: unNombrePelicula yDirector: unNombreDirector 
	
	peliculas add: (Pelicula conNombre: unNombrePelicula yDirector: unNombreDirector) .! !

!Peliculas methodsFor: 'as yet unclassified' stamp: 'ArianJarmolinski 3/28/2018 17:20'!
mejorPelicular
	
	|mejorPelicula mejorPuntaje|
	
	mejorPuntaje := 0.
	
	peliculas  do:[ :pelicula | 		
	(pelicula maxPuntaje > mejorPuntaje ) ifTrue: [ 
				
		mejorPuntaje := pelicula maxPuntaje.
		mejorPelicula := pelicula nombre.
		 ].
	].
	^mejorPelicula .! !

!Peliculas methodsFor: 'as yet unclassified' stamp: 'ArianJarmolinski 3/28/2018 17:22'!
puntajeDelDirector: unNombreDirector 
	
	|puntajeTotal cantidad| 
	puntajeTotal := 0.
	cantidad := 0.
	
	peliculas do:[ :pelicula |
		
		(pelicula director = unNombreDirector ) ifTrue: [ 
			
			(pelicula puntajes) do:[ :puntaje | 
				puntajeTotal := puntajeTotal + puntaje.
				cantidad := cantidad + 1
			].						
		 ]
	].

	(cantidad = 0) ifTrue: [ ^0 ].
	^(puntajeTotal / cantidad).! !

!Peliculas methodsFor: 'as yet unclassified' stamp: 'ArianJarmolinski 3/28/2018 17:21'!
peorPelicular
	
	|peorPelicula peorPuntaje|
	
	peorPuntaje := 10.
	
	peliculas do:[ :pelicula | 		
	(pelicula minPuntaje < peorPuntaje ) ifTrue: [ 
		
		peorPuntaje := pelicula minPuntaje.
		peorPelicula := pelicula nombre.
		 ].
	].
	^peorPelicula .! !


Object subclass: #RottenTomatoes
	instanceVariableNames: 'peliculas'
	classVariableNames: ''
	poolDictionaries: ''
	category: '94727'!

!RottenTomatoes methodsFor: 'as yet unclassified' stamp: 'ArianJarmolinski 3/28/2018 17:20'!
mejorPelicular
	
	^peliculas mejorPelicular .! !

!RottenTomatoes methodsFor: 'as yet unclassified' stamp: 'ArianJarmolinski 3/28/2018 14:46'!
agregarPeliculas: unasPeliculas 
	
	peliculas := unasPeliculas .! !

!RottenTomatoes methodsFor: 'as yet unclassified' stamp: 'ArianJarmolinski 3/28/2018 17:19'!
calificarPelicula: unNombrePelicula conPuntaje: unPuntaje 
	
	peliculas calificarPelicula: unNombrePelicula conPuntaje: unPuntaje.! !


!RottenTomatoes methodsFor: 'initialization' stamp: 'ArianJarmolinski 3/28/2018 17:21'!
peorPelicular
	
	^peliculas peorPelicular .! !

!RottenTomatoes methodsFor: 'initialization' stamp: 'ArianJarmolinski 3/28/2018 17:23'!
puntajeDelDirector: unNombreDirector 
	
	^peliculas puntajeDelDirector: unNombreDirector .! !
